<template>
  <el-dialog
    v-model="dialogFormVisible"
    :title="title"
    width="500px"
    @close="close"
  >
    <p v-html="form.detail"></p>
  </el-dialog>
</template>

<script>
export default {
  data() {
    return {
      form: {
        id: '',
        title: '',
        introduction: '',
        detail: '',
        category: '',
        addUser: '',
      },
      dialogFormVisible: false,
      title: '',
    };
  },
  created() {},
  methods: {
    showData(row) {
      this.title = '知识库内容';
      this.form = Object.assign({}, row);
      this.dialogFormVisible = true;
    },
    close() {
      this.dialogFormVisible = false;
      this.$emit('fetch-data');
    },
  },
};
</script>
<style lang="scss" scoped>
.el-dialog {
  .el-dialog__header {
    border-bottom: 1px solid #e3e3e3 !important;
    padding: 15px 20px;
  }
  .dialog-footer {
    text-align: right;
    .el button {
      height: 36px !important;
      min-height: 36px !important;
      line-height: 366px !important;
    }
  }
}
</style>
